Create New Users

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/users

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • can_form_edit boolean
  • can_thunderplug_sync boolean
  • email string Required
  • first_name string
  • last_name string
  • password string Required
  • role string

    must match "server", "company" or "basic"

  • username string Required

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created user id

  • 400

    Bad Request

POST /profiles/{profile_id}/users
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/users' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"can_form_edit":true,"can_thunderplug_sync":true,"email":"support@iformbuilder.com","first_name":"Calvin","last_name":"Ng","password":"testing123","role":"server","username":"demo_user"}'
Request examples
{
  "can_form_edit": true,
  "can_thunderplug_sync": true,
  "email": "support@iformbuilder.com",
  "first_name": "Calvin",
  "last_name": "Ng",
  "password": "testing123",
  "role": "server",
  "username": "demo_user"
}
Response examples (201)
[
  {
    "id": 161239
  },
  {
    "id": 161242
  }
]